curl --request GET \
--url https://api.cadanapay.com/v1/persons \
--header 'Authorization: Bearer <token>'{
"data": [
{
"firstName": "John",
"lastName": "Doe",
"email": "<string>",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"compInfo": {
"type": "net",
"frequency": "monthly",
"employmentModel": "eor"
},
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"metadata": {
"customField1": "value1",
"customField2": "value2"
},
"businessName": "Wayne Enterprise",
"type": "CONTRACTOR",
"contractorType": "INDIVIDUAL",
"jobInfo": {
"startDate": "2023-01-01",
"employeeNumber": "1",
"title": "Software Engineer",
"department": "Product",
"customFields": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Tshirt Size",
"value": "M"
}
],
"entityId": "37ad8c1e-0187-4e10-8c54-395e3385b4d2"
},
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
}
],
"meta": {
"limit": 1,
"currentPage": 1,
"skipped": 1,
"pages": 1,
"itemCount": 1
}
}Get all persons
curl --request GET \
--url https://api.cadanapay.com/v1/persons \
--header 'Authorization: Bearer <token>'{
"data": [
{
"firstName": "John",
"lastName": "Doe",
"email": "<string>",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"compInfo": {
"type": "net",
"frequency": "monthly",
"employmentModel": "eor"
},
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"metadata": {
"customField1": "value1",
"customField2": "value2"
},
"businessName": "Wayne Enterprise",
"type": "CONTRACTOR",
"contractorType": "INDIVIDUAL",
"jobInfo": {
"startDate": "2023-01-01",
"employeeNumber": "1",
"title": "Software Engineer",
"department": "Product",
"customFields": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Tshirt Size",
"value": "M"
}
],
"entityId": "37ad8c1e-0187-4e10-8c54-395e3385b4d2"
},
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
}
],
"meta": {
"limit": 1,
"currentPage": 1,
"skipped": 1,
"pages": 1,
"itemCount": 1
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
Page number to retrieve
x >= 1Maximum number of items to return per page
1 <= x <= 100Filter by email